From: "William Hubbs" <williamh@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/promu/
Date: Mon, 11 Jan 2021 23:05:03 +0000 (UTC) [thread overview]
Message-ID: <1610406291.1120a551e58da6d1e376244a8de51a13a90df4b6.williamh@gentoo> (raw)
commit: 1120a551e58da6d1e376244a8de51a13a90df4b6
Author: William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 11 23:04:34 2021 +0000
Commit: William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Mon Jan 11 23:04:51 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1120a551
dev-util/promu: 0.7.0 bump
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>
dev-util/promu/Manifest | 1 +
dev-util/promu/promu-0.7.0.ebuild | 32 ++++++++++++++++++++++++++++++++
2 files changed, 33 insertions(+)
diff --git a/dev-util/promu/Manifest b/dev-util/promu/Manifest
index 584bf41293f..acca90b9239 100644
--- a/dev-util/promu/Manifest
+++ b/dev-util/promu/Manifest
@@ -1,2 +1,3 @@
DIST promu-0.5.0.tar.gz 643970 BLAKE2B b61e8421b5e68f3cd0ec125faadf64c7491f54cfe03de9d6497cb627e5d548b58fafe735c76a5a86a55489aea56dffb6e02d52acd1ca977ea32ec974f34475ac SHA512 b895c0b5b5a33bd0c2372e8c1c698b8548b1b7086849161ffa99bf9718f4b7f3a57bcf218681d84e4cc5ef31ef39df7e6c59345a84441369ec3ec402999ac4de
DIST promu-0.6.1.tar.gz 1704561 BLAKE2B 40947a8a2cd470456db2c47f1208ef7dc009b102fbc0c2a749f99271881ae6f4009d616d977f504a60795e7844271350e5e44423e12bb8633e441dd3ade45b24 SHA512 58983905a0da911f2142e2cf89b241320abfdbe62568378355786f606b3e319322722c25d3fc7b7bd127dc916df9f79684ba3f28455a59b5ee73f7c455fba351
+DIST promu-0.7.0.tar.gz 1706673 BLAKE2B 52dea1bef127dc20fa67b2efee750d9a22c8847fd48ea73b3d03eb0f95f2690977f8082bc71f27215a68c5277d8219ccd4ff93d8af7966fdf9df7286e4f45d03 SHA512 9f332e55c944de1ff87e86b696eb99f24dc1f5350a180ae62e403a798bd6e496d9fe71e18c07a2c870509fae4d6b3ded2274b1b986614f1abe9f74e3ed8e2a60
diff --git a/dev-util/promu/promu-0.7.0.ebuild b/dev-util/promu/promu-0.7.0.ebuild
new file mode 100644
index 00000000000..dc79b2ea8df
--- /dev/null
+++ b/dev-util/promu/promu-0.7.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit go-module
+
+EGIT_COMMIT=b17dc4f71c810678db907367b392a3e7a14c4038
+
+DESCRIPTION="Prometheus Utility Tool"
+HOMEPAGE="https://github.com/prometheus/promu"
+SRC_URI="https://github.com/prometheus/promu/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD BSD-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+RESTRICT+=" test"
+
+src_prepare() {
+ default
+ sed -i -e "s/{{.Revision}}/${EGIT_COMMIT}/" .promu.yml || die
+}
+
+src_compile() {
+ go build -mod=vendor . || die "compile failed"
+}
+
+src_install() {
+ dobin ${PN}
+ dodoc -r {doc,{README,CONTRIBUTING}.md}
+}
next reply other threads:[~2021-01-11 23:05 UTC|newest]
Thread overview: 47+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-01-11 23:05 William Hubbs [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-19 13:11 [gentoo-commits] repo/gentoo:master commit in: dev-util/promu/ Arthur Zamarin
2025-01-19 13:11 Arthur Zamarin
2024-10-24 19:28 Zac Medico
2024-06-15 19:21 Arthur Zamarin
2024-02-23 12:54 Joonas Niilola
2024-01-07 6:14 Sam James
2023-11-25 0:59 Zac Medico
2023-11-17 12:13 Sam James
2023-10-02 3:36 Zac Medico
2023-04-30 23:53 Sam James
2023-01-06 7:16 WANG Xuerui
2023-01-06 7:16 WANG Xuerui
2022-06-29 7:21 WANG Xuerui
2022-05-15 23:14 Zac Medico
2022-05-15 23:14 Zac Medico
2022-03-14 15:15 William Hubbs
2021-11-07 3:04 Zac Medico
2021-03-26 2:20 Zac Medico
2021-03-26 2:19 Zac Medico
2020-11-13 8:15 Robin H. Johnson
2020-10-24 22:45 Zac Medico
2020-07-25 0:09 Sam James
2020-06-14 20:46 William Hubbs
2019-12-10 7:27 Zac Medico
2019-12-10 7:18 Zac Medico
2019-12-10 7:14 Zac Medico
2019-11-23 10:58 Manuel Rüger
2019-10-07 9:45 Manuel Rüger
2019-10-07 9:45 Manuel Rüger
2019-07-09 12:52 Manuel Rüger
2019-06-26 8:03 Manuel Rüger
2019-06-25 15:58 Manuel Rüger
2019-04-16 9:15 Manuel Rüger
2019-03-02 17:39 Manuel Rüger
2019-03-02 17:32 Manuel Rüger
2019-03-02 17:32 Manuel Rüger
2019-01-15 14:44 Manuel Rüger
2018-03-08 18:45 Manuel Rüger
2018-01-25 18:51 Manuel Rüger
2017-10-04 9:09 Michał Górny
2017-09-24 18:54 Manuel Rüger
2017-09-24 18:54 Manuel Rüger
2017-06-12 11:26 Manuel Rüger
2017-06-12 11:25 Manuel Rüger
2017-02-07 16:03 Manuel Rüger
2016-12-13 19:27 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1610406291.1120a551e58da6d1e376244a8de51a13a90df4b6.williamh@gentoo \
--to=williamh@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox